{
    "$graph": [
        {
            "class": "CommandLineTool",
            "label": "Seed Search Compartments, gather",
            "baseCommand": "gpx_qdump",
            "arguments": [
                "-unzip",
                "*"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "blast.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                }
            ],
            "id": "#gpx_qdump.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/seed_align"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "Seed Search Compartments, scatter",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "arguments": [
                "-affinity",
                "subject",
                "-batch-size",
                "1",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-asn"
                    },
                    "id": "#gpx_qsubmit.cwl/asn"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#gpx_qsubmit.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit.cwl/output"
                },
                {
                    "type": "Directory",
                    "id": "#gpx_qsubmit.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Seed Search Compartments, execute\"",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMax": 3000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "tblastn_wnode",
            "arguments": [
                "-comp_based_stats",
                "F",
                "-dbsize",
                "6000000000",
                "-delay",
                "0",
                "-evalue",
                "0.1",
                "-gapextend",
                "2",
                "-gapopen",
                "9",
                "-matrix",
                "BLOSUM62",
                "-seg",
                "no",
                "-soft_masking",
                "true",
                "-threshold",
                "12",
                "-word_size",
                "3",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-file"
                    },
                    "id": "#tblastn_wnode.cwl/asn"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#tblastn_wnode.cwl/asn_cache"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-db_gencode"
                    },
                    "id": "#tblastn_wnode.cwl/db_gencode"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#tblastn_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#tblastn_wnode.cwl/output_dir"
                },
                {
                    "type": "Directory",
                    "id": "#tblastn_wnode.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#tblastn_wnode.cwl/outdir"
                }
            ],
            "id": "#tblastn_wnode.cwl"
        },
        {
            "class": "Workflow",
            "label": "Seed Search Compartments",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "File",
                    "id": "#main/compartments"
                },
                {
                    "type": "int",
                    "id": "#main/db_gencode"
                },
                {
                    "type": "Directory",
                    "id": "#main/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/gpx_dump/seed_align",
                    "id": "#main/blast_align"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#main/tblastn_wnode/outdir",
                            "id": "#main/gpx_dump/input_path"
                        }
                    ],
                    "out": [
                        "#main/gpx_dump/seed_align"
                    ],
                    "id": "#main/gpx_dump"
                },
                {
                    "run": "#gpx_qsubmit.cwl",
                    "in": [
                        {
                            "source": "#main/compartments",
                            "id": "#main/gpx_qsubmit/asn"
                        },
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/gpx_qsubmit/asn_cache"
                        },
                        {
                            "source": "#main/uniColl_asn_cache",
                            "id": "#main/gpx_qsubmit/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#main/gpx_qsubmit/jobs"
                    ],
                    "id": "#main/gpx_qsubmit"
                },
                {
                    "run": "#tblastn_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/compartments",
                            "id": "#main/tblastn_wnode/asn"
                        },
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/tblastn_wnode/asn_cache"
                        },
                        {
                            "source": "#main/db_gencode",
                            "id": "#main/tblastn_wnode/db_gencode"
                        },
                        {
                            "source": "#main/gpx_qsubmit/jobs",
                            "id": "#main/tblastn_wnode/input_jobs"
                        },
                        {
                            "source": "#main/uniColl_asn_cache",
                            "id": "#main/tblastn_wnode/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#main/tblastn_wnode/outdir"
                    ],
                    "id": "#main/tblastn_wnode"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
